LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XResultSetUpdate Interface Referencepublished

provides the possibility to write changes made on a result set back to database. More...

`import"XResultSetUpdate.idl";`

Inheritance diagram for XResultSetUpdate:

## Public Member Functions
void | insertRow () raises (SQLException)
| inserts the contents of the insert row into the result set and the database. More...
void | updateRow () raises (SQLException)
| updates the underlying database with the new contents of the current row. More...
void | deleteRow () raises (SQLException)
| deletes the current row from the result set and the underlying database. More...
void | cancelRowUpdates () raises (SQLException)
| cancels the updates made to a row. More...
void | moveToInsertRow () raises (SQLException)
| moves the cursor to the insert row. More...
void | moveToCurrentRow () raises (SQLException)
| moves the cursor to the remembered cursor position, usually the current row. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides the possibility to write changes made on a result set back to database.

## Member Function Documentation

## ◆ cancelRowUpdates()

void cancelRowUpdates | ( |  | ) |
raises | ( | SQLException
| ) |  |

cancels the updates made to a row.

This method may be called after calling an `updateXXX` method(s) and before calling com::sun::star::sdbc::XResultSetUpdate::updateRow() to rollback the updates made to a row. If no updates have been made or `updateRow` has already been called, then this method has no effect.

Exceptions

  SQLException | if a database access error occurs.

## ◆ deleteRow()

void deleteRow | ( |  | ) |
raises | ( | SQLException
| ) |  |

deletes the current row from the result set and the underlying database.

Cannot be called when on the insert row.

Exceptions

  SQLException | if a database access error occurs.

## ◆ insertRow()

void insertRow | ( |  | ) |
raises | ( | SQLException
| ) |  |

inserts the contents of the insert row into the result set and the database.

Must be on the insert row when this method is called.

Exceptions

  SQLException | if a database access error occurs.

## ◆ moveToCurrentRow()

void moveToCurrentRow | ( |  | ) |
raises | ( | SQLException
| ) |  |

moves the cursor to the remembered cursor position, usually the current row.

This method has no effect if the cursor is not on the insert row.

Exceptions

  SQLException | if a database access error occurs.

## ◆ moveToInsertRow()

void moveToInsertRow | ( |  | ) |
raises | ( | SQLException
| ) |  |

moves the cursor to the insert row.

The current cursor position is remembered while the cursor is positioned on the insert row.

The insert row is a special row associated with an updatable result set. It is essentially a buffer where a new row may be constructed by calling the `updateXXX` methods prior to inserting the row into the result set.

Only the `updateXXX` , `getXXX` , and com::sun::star::sdbc::XResultSetUpdate::insertRow() methods may be called when the cursor is on the insert row. All of the columns in a result set must be given a value each time this method is called before calling `insertRow` . The method `updateXXX` must be called before a `getXXX` method can be called on a column value.

Exceptions

  SQLException | if a database access error occurs.

## ◆ updateRow()

void updateRow | ( |  | ) |
raises | ( | SQLException
| ) |  |

updates the underlying database with the new contents of the current row.

Cannot be called when on the insert row.

Exceptions

  SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XResultSetUpdate.idl